summaryrefslogtreecommitdiffstats
path: root/office/calibre-bin/calibre-bin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/calibre-bin/calibre-bin.SlackBuild')
-rw-r--r--office/calibre-bin/calibre-bin.SlackBuild58
1 files changed, 32 insertions, 26 deletions
diff --git a/office/calibre-bin/calibre-bin.SlackBuild b/office/calibre-bin/calibre-bin.SlackBuild
index bf56c90612..1a2062e0c3 100644
--- a/office/calibre-bin/calibre-bin.SlackBuild
+++ b/office/calibre-bin/calibre-bin.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for calibre-bin
-# Copyright 2019, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2024, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,20 +22,29 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=calibre-bin
-VERSION=${VERSION:-4.5.0}
+VERSION=${VERSION:-7.7.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i686 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH="$( uname -m )"
+fi
+
+case "$ARCH" in
+ i?86) echo "Support for 32bit CPUs has been dropped because Qt 6 does not support them"
+ exit 1 ;;
+ arm*) ARCH=arm ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -45,9 +54,17 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-mkdir -p opt/calibre usr/{share/zsh/site-functions,bin}
+mkdir -p opt/calibre usr/bin \
+ usr/share/{desktop-directories,applications,metainfo,mime/packages,icons/hicolor,zsh/site-functions}
tar xvf $CWD/${PRGNAM%-bin}-$VERSION-$ARCH.txz -C opt/calibre
-opt/calibre/calibre_postinstall --root=usr
+XDG_DATA_DIRS=$PKG/usr/share XDG_CONFIG_HOME=$PKG/root/.config opt/calibre/calibre_postinstall --root=$PKG/usr
+rmdir -p root/.config
+shopt -s extglob
+rm -r usr/share/{desktop-directories,mime/!(packages)}
+shopt -u extglob
+rm -f usr/share/applications/mimeinfo.cache
+
+sed -i "s|$PKG||g" usr/share/bash-completion/completions/ebook-convert
cd usr/bin
for f in $(find . -maxdepth 1 -type l); do
@@ -56,20 +73,9 @@ done
rm calibre-uninstall
cd ../..
-mkdir -p usr/share/icons/hicolor/{16x16,32x32,48x48,64x64,128x128,256x256}/apps
-cp -a opt/calibre/resources/images/{lt,tweak,viewer}.png \
- usr/share/icons/hicolor/256x256/apps
-for s in 16 32 48 64 128; do
- convert opt/calibre/resources/images/lt.png -resize ${s}x${s} \
- usr/share/icons/hicolor/${s}x${s}/apps/${PRGNAM%-bin}-gui.png
- convert opt/calibre/resources/images/viewer.png -resize ${s}x${s} \
- usr/share/icons/hicolor/${s}x${s}/apps/${PRGNAM%-bin}-viewer.png
- convert opt/calibre/resources/images/tweak.png -resize ${s}x${s} \
- usr/share/icons/hicolor/${s}x${s}/apps/${PRGNAM%-bin}-ebook-edit.png
-done
-
-mkdir -p usr/share/applications
-cp -a $CWD/calibre-{ebook-edit,viewer,gui}.desktop usr/share/applications/
+find -L opt/calibre/plugins -type f -name "*.so" -exec chmod 755 {} \;
+find -L opt/calibre/lib/calibre-extensions \
+ -type f -name "*.so" -exec chmod 755 {} \;
chown -R root:root .
find -L . \
@@ -88,4 +94,4 @@ mkdir -p install
cat $CWD/slack-desc > install/slack-desc
cat $CWD/doinst.sh > install/doinst.sh
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE